import Main from "../../main/Main";
import SManage from "./sdata/SManage";

/**
 * 读取系统数据
 */
const {ccclass, property} = cc._decorator;

@ccclass
export default class SysData extends cc.Component {

    @property(cc.JsonAsset)
    jsonAsset: cc.JsonAsset = null;

    onLoad () {
        let main = this.node.getComponent(Main);
        let data = this.jsonAsset.json;
        main.sManage = new SManage(data);

    }

}
